function contextLive()
{
	this.codeCourse = -1;
	this.activeManche = 1;
	this.categ = '';
	this.sexe = '';
	this.distance = '';
	this.mode = 'classement';	// classement ou ordre_arrivee
	
	this.timerInterval = 15;	// Rafraichissement toutes les x secondes
	this.timerCurrent = 0;
}

contextLive.prototype.GetActiveManche = function() 
{
	var manche = parseInt(this.codeCourse/100000) % 10;
	switch(manche)
	{
		case 0:
		case 1:
		return 1;
		
		case 2:
		return 2;
		
		default:
		break;
	}
	return 9;
}

var theContext = new contextLive();

function RefreshTimer()
{
	if (theContext.timerCurrent <= 1)
	{
		RefreshCacheClassement();
		RefreshCacheMsg();
		theContext.timerCurrent = theContext.timerInterval;
	}
	else
	{
		--theContext.timerCurrent;
	}
	
	if (theContext.timerCurrent > 1)
		$('#containter_timer').html('Rafraichissement dans '+theContext.timerCurrent+' secondes ...');
	else
		$('#containter_timer').html('Rafraichissement dans '+theContext.timerCurrent+' seconde ...');
}

function RefreshCacheClassement()
{
	$.ajax({
		url : './cache/'+theContext.mode+'_'+theContext.codeCourse+'_'+theContext.activeManche+'_'+theContext.categ+'_'+theContext.sexe+'_'+theContext.distance+'.cache.html',
		type: 'GET',
		dataType: 'text',
		cache: false,
		async: false,
		success: ParseCacheClassement
	});
}

function ParseCacheClassement(htmlTxt)
{
	var iFind = htmlTxt.lastIndexOf("@@END@@");
	if (iFind == -1) return; // Aucune précence de @@END@@ => le fichier cache n'est pas complet ... => On sort

	htmlTxt = htmlTxt.substring(0,iFind);
	$('#container_chrono').html(htmlTxt);
	$('#container_chrono table').addClass('table table-striped table-bordered');
}

function RefreshCacheMsg()
{
	$.ajax({
		url : './cache/msg_'+theContext.codeCourse+'_'+theContext.activeManche+'.cache.html',
		type: 'GET',
		dataType: 'text',
		cache: false,
		async: false,
		success: ParseCacheMsg
	});
}

function ParseCacheMsg(htmlTxt)
{
	var iFind = htmlTxt.lastIndexOf("@@END@@");
	if (iFind == -1) return; // Aucune précence de @@END@@ => le fichier cache n'est pas complet ... => On sort

	htmlTxt = htmlTxt.substring(0,iFind);
	$('#container_msg').html(htmlTxt);
}

function Init(codeCourse, activeManche, categ, sexe, distance, mode)
{
	theContext.codeCourse = codeCourse;
	theContext.activeManche = activeManche;
	theContext.categ = categ;
	theContext.sexe = sexe;
	theContext.distance = distance;
	theContext.mode = mode;
	
	$("button").click(function () {
		theContext.categ = $(this).attr('data-categ');
		theContext.sexe = $(this).attr('data-sexe');
		theContext.distance = $(this).attr('data-distance');
		theContext.mode = $(this).attr('data-mode');
//		alert(theContext.categ+'|'+theContext.sexe+'|'+theContext.distance+'|'+theContext.mode);
		theContext.timerCurrent = 0;
		RefreshTimer();
		return false;
	});

	setInterval(RefreshTimer, 1000);
}