<?php

// PHP *****
// 1) live.php?code=codeCourse  : si codeCourse pas renseigné ou <0 alors on prend le numero de course le plus grand ...
// 2) dans Live::Script() on peut préciser ce qui s'affiche par défaut
// 3) dans live::Content() : a nous de préciser les différentes Catégories, Sexe et Distance
// 4) dans /cache_engine/classement.php on peut cacher ou afficher des colonnes
// 5) dans /connector/FinishFlushResultat.php : indiquer tous les fichiers de cache à générer 

// JAVASCRIPT
// 1) ./js/live.js

// CSS
// 1) ./css/global.css : à customiser


define("VERSION", "Version 2.00");
define("VERSION_JQUERY", "1.10.2");
define("VERSION_BOOTSTRAP", "3.2.0");

include_once("MyConfig.php"); 

class Live
{
	var $m_arrayParams;		// Tableau des Paramètres
	var $m_directory;		// Repertoire principal

	// Constructeur ...
	function __construct(&$arrayParams)
	{
		$this->m_arrayParams = &$arrayParams;
	
		$db = new MyConfig(true);
		if ($db->m_directory == "/")
			$this->m_directory = "./";
		else
			$this->m_directory = $db->m_directory;
		$this->Display();
	}

	// GetParam ...
	function GetParam($key, $defaultValue='')
	{
		if (isset($this->m_arrayParams[$key]))
			return $this->m_arrayParams[$key];
		else
			return $defaultValue;
	}
	
	function GetParamInt($key, $defaultValue=-1)
	{
		if (isset($this->m_arrayParams[$key]))
			return (int) $this->m_arrayParams[$key];
		else
			return $defaultValue;
	}

	function Display()
	{		
		$this->Html();
		$this->Head();
		echo "<body>\n";
		$this->Body();
		echo "</body>\n";
		echo "</html>";
	}
	
	function Html()
	{
	?>
		<!DOCTYPE html>
		<html lang="fr">
    <?php
    }

	function Body()
	{   
		?>
		<div class="container-fluid">
		<?php
		$this->Header();
		$this->Content();
		$this->Footer();
		?>
		</div>
		<?php 
		$this->ModalWaitProgress();
		$this->Script();
	}
	
	function Head()
	{
		?>
		<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="author" content="Agil Informatique">
		<meta name="Description" content="live" />
		<meta name="Keywords" content="live" />
		<meta name="rating" content="general">
		<meta name="Robots" content="all">
		<link rel="shortcut icon" href="favicon.ico" />
			
		<title>Cantal Chrono</title>
		
		<link href="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/css/bootstrap.min.css" rel="stylesheet"/>
		<link href="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/datepicker/css/datepicker3.css" rel="stylesheet"/>

		<link href="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/select2/select2.css" rel="stylesheet"/>
		<link href="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/select2/select2-bootstrap.css" rel="stylesheet"/>

		<link href="<?php echo $this->m_directory;?>/css/global.css" rel="stylesheet" />
		</head>
		<?php
	}
	
	function ModalWaitProgress()
	{
	?>
		<div class="modal" id="modal_wait_progress" tabindex="-1" role="dialog" aria-labelledby="modal_wait_progress" aria-hidden="true">
			<div class="modal-dialog modal-sm">
				<div class="modal-content">
				<div class="modal-header">
					<h3>Patientez...</h3>
				</div>
				<div class="modal-body">
					<div class="progress progress-striped active">
					<div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
					</div>
					</div>
				</div>
				</div>
			</div>
		</div>
	<?php
	}

	function Header()
	{
		?>
		<h1 id='titre' class="text-center">Evénement Cantal Chrono</h1>
		<?php
	}
	
	function Content()
	{
		?>
		<div class="container-fluid">
		<div class="row">
			<div class="col-xs-2">Information</div>
			<div class="col-xs-10"><marquee id='container_msg'></marquee></div>
		</div>
		</div>

		<!-- Navigation Mode, Catégorie, Sexe, Distance -->
		<div class="btn-group btn-group-justified" role="group" aria-label="...">
		
		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='classement' data-categ='' data-sexe='' data-distance='10'>Scratch 10KM</button>
		</div>
		
		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='classement' data-categ='V1' data-sexe='M' data-distance='10'>V1 10KM</button>
		</div>

		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='classement' data-categ='V2' data-sexe='M' data-distance='10'>V2 10KM</button>
		</div>
		
		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='classement' data-categ='V2' data-sexe='F' data-distance='10'>V2F 10KM</button>
		</div>

		</div>

		<!-- Navigation Mode, Catégorie, Sexe, Distance -->
		<div class="btn-group btn-group-justified" role="group" aria-label="...">
		
		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='ordre_arrivee' data-categ='' data-sexe='' data-distance='10'>Arrivée Scratch 10KM</button>
		</div>
		
		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='ordre_arrivee' data-categ='V1' data-sexe='M' data-distance='10'>Arrivée V1 10KM</button>
		</div>

		<div class="btn-group" role="group">
		<button type="button" class="btn btn-default" data-mode='ordre_arrivee' data-categ='V2' data-sexe='M' data-distance='10'>Arrivée V2 10KM</button>
		</div>

		</div>
		

		<br>
		<div id="container_chrono" class="container table-responsive">
		<table class="table table-striped table-bordered">
		</table>
		</div>
	<?php
	}

	function Footer()
	{
		?>
		<div class="container-fluid">
		<div class="row">
			<div class="col-xs-2">Résultats Officieux</div>
			<div class="col-xs-8" id='containter_timer'>Rafraichissement dans x secondes</div>
			<div class="col-xs-2"><img hspace='2' width='32' height='32' src='./image/Logo-CCE.jpg'></div>
		</div>
		</div>
		<?php
	}

	function Script()
	{
		$codeCourse = $this->GetParamInt('code');
		if ($codeCourse < 0)
		{
			$db = new MyConfig(true);
			$rMax = null;
			$db->LoadRecord("Select Max(Code_course) maxCode From ".$db->m_prefix."course ", $rMax); 
			$codeCourse = $rMax['maxCode'];
		}
		
		$activeManche = 1;
		$categ = 'V1';
		$sexe = 'M';
		$distance = '10';
		$mode = 'ordre_arrivee';	// classement ou ordre_arrivee
		
		$lstParams = "$codeCourse, $activeManche, '$categ', '$sexe', '$distance', '$mode'";
	?>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/<?php echo VERSION_JQUERY;?>/jquery.min.js"></script>
		<script src="//maxcdn.bootstrapcdn.com/bootstrap/<?php echo VERSION_BOOTSTRAP;?>/js/bootstrap.min.js"></script>
		
		<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/js/ie10-viewport-bug-workaround.js"></script>
		
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/js/bootbox.min.js"></script>
		
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/datepicker/js/bootstrap-datepicker.js"></script>
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/datepicker/js/locales/bootstrap-datepicker.fr.js" charset="UTF-8"></script>
		
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/select2/select2.js"></script>
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/select2/select2_locale_fr.js"></script>

		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/bootstrapvalidator/js/bootstrapValidator.min.js"></script>
		<script type="text/javascript" src="<?php echo $this->m_directory.'/bootstrap-'.VERSION_BOOTSTRAP;?>/bootstrapvalidator/js/language/fr_FR.js"></script>
		
		<script type="text/javascript" src="<?php echo $this->m_directory;?>/js/wait_progress.js" ></script>
		<script type="text/javascript" src="<?php echo $this->m_directory;?>/js/messagebox.js" ></script>

		<script type="text/javascript" src="./js/live.js?v=1" ></script>
		<script type="text/javascript"> $(document).ready(function(){ Init(<?php echo $lstParams;?>); }); </script>	
		<?php
	}
}

new Live($_GET);